Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibems.ufo
Class TibjmsUFOTopicConnectionFactory

    java.lang.Object
      TibjmsUFOxCF
          com.tibco.tibems.ufo.TibjmsUFOConnectionFactory
              com.tibco.tibems.ufo.TibjmsUFOTopicConnectionFactory

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, ConnectionFactory, TopicConnectionFactory

    public class TibjmsUFOTopicConnectionFactory

extends TibjmsUFOConnectionFactory
implements TopicConnectionFactory, java.io.Externalizable

Constructor Summary
`TibjmsUFOTopicConnectionFactory()`
`TibjmsUFOTopicConnectionFactory(java.lang.String serverUrls)`
`TibjmsUFOTopicConnectionFactory(java.lang.String serverUrls, java.lang.String clientId)`
`TibjmsUFOTopicConnectionFactory(java.lang.String serverUrls, java.lang.String clientId, java.util.Map properties)`
`TibjmsUFOTopicConnectionFactory(TibjmsTopicConnectionFactory factory)`

Method Summary
`java.lang.Object` | `clone()`
`TopicConnection` | `createTopicConnection()` Creates a topic connection with the default user identity.
`TopicConnection` | `createTopicConnection(java.lang.String userName, java.lang.String password)` Creates a topic connection with the specified user identity.
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class com.tibco.tibems.ufo.TibjmsUFOConnectionFactory
`createConnection, createConnection, getSSLProxyHost, getSSLProxyPassword, getSSLProxyPort, getSSLProxyUser, recoverConnection, setClientID, setConnAttemptCount, setConnAttemptDelay, setConnAttemptTimeout, setMetric, setMulticastDaemon, setMulticastEnabled, setReconnAttemptCount, setReconnAttemptDelay, setReconnAttemptTimeout, setServerUrl, setSSLAuthOnly, setSSLCipherSuites, setSSLDebugTrace, setSSLEnableVerifyHost, setSSLEnableVerifyHostName, setSSLExpectedHostName, setSSLIdentity, setSSLIdentity, setSSLIdentityEncoding, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLPassword, setSSLPrivateKey, setSSLPrivateKey, setSSLPrivateKeyEncoding, setSSLProxy, setSSLProxyAuth, setSSLTrace, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLVendor, setUserName, setUserPassword`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Constructor Detail

### TibjmsUFOTopicConnectionFactory

    public TibjmsUFOTopicConnectionFactory()

### TibjmsUFOTopicConnectionFactory

    public TibjmsUFOTopicConnectionFactory(java.lang.String serverUrls)

### TibjmsUFOTopicConnectionFactory

    public TibjmsUFOTopicConnectionFactory(java.lang.String serverUrls,
                                           java.lang.String clientId)

### TibjmsUFOTopicConnectionFactory

    public TibjmsUFOTopicConnectionFactory(java.lang.String serverUrls,
                                           java.lang.String clientId,
                                           java.util.Map properties)

### TibjmsUFOTopicConnectionFactory

    public TibjmsUFOTopicConnectionFactory(TibjmsTopicConnectionFactory factory)
                                    throws JMSException

Throws:
  `JMSException`

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `TibjmsUFOConnectionFactory`
  Throws:
    `java.lang.CloneNotSupportedException`

### createTopicConnection

    public TopicConnection createTopicConnection()
                                          throws JMSException

  Description copied from interface: `TopicConnectionFactory`
  Creates a topic connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createTopicConnection` in interface `TopicConnectionFactory`
  Returns:
    a newly created topic connection
  Throws:
    `JMSException` - if the JMS provider fails to create a topic connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createTopicConnection

    public TopicConnection createTopicConnection(java.lang.String userName,
                                                 java.lang.String password)
                                          throws JMSException

  Description copied from interface: `TopicConnectionFactory`
  Creates a topic connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createTopicConnection` in interface `TopicConnectionFactory`
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created topic connection
  Throws:
    `JMSException` - if the JMS provider fails to create a topic connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `TibjmsUFOConnectionFactory`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `TibjmsUFOConnectionFactory`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved